Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js	(revision 12583)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js	(revision 12584)
@@ -2,6 +2,6 @@
     var module = appStatusPlugin.getAngularModule();
     module.controller('app.status.historyCtrl',
-        ['$scope', '$interval', 'app.status.data.service',
-        function ($scope, $interval, dataService) {
+        ['$scope', '$interval', 'app.status.data.service', '$log',
+        function ($scope, $interval, dataService, $log) {
             $scope.chartOptions = {
                 grid: {
@@ -40,5 +40,4 @@
             };
 
-
             $scope.fromDate = new Date();
             $scope.toDate = new Date();
@@ -47,4 +46,37 @@
             $scope.toIsOpen = false;
 
+            $scope.quickSelectionList = [
+                { id: 0, name: 'Custom' },
+                { id: 1, name: 'Today' },
+                { id: 2, name: 'Yesterday' },
+                { id: 3, name: 'Last 7 Days' },
+                { id: 4, name: 'Last 30 Days' }
+            ];
+            $scope.changeQuickSelection = function (quickSelection) {
+                var today = new Date();
+                var oneDayInMs = 24 * 60 * 60 * 1000;
+                switch (quickSelection.id) {
+                    case 1:
+                        $scope.fromDate = new Date(today.valueOf());
+                        $scope.toDate = new Date(today.valueOf());
+                        break;
+                    case 2:
+                        $scope.fromDate = new Date(today.valueOf() - oneDayInMs);
+                        $scope.toDate = new Date(today.valueOf() - oneDayInMs);
+                        break;
+                    case 3:
+                        $scope.fromDate = new Date(today.valueOf() - (7 * oneDayInMs));
+                        $scope.toDate = new Date(today.valueOf());
+                        break;
+                    case 4:
+                        $scope.fromDate = new Date(today.valueOf() - (30 * oneDayInMs));
+                        $scope.toDate = new Date(today.valueOf());
+                        break;
+                }
+                $scope.curQuickSelection = quickSelection;
+            };
+            // set default 'today'
+            $scope.changeQuickSelection($scope.quickSelectionList[1]);
+
             $scope.openFromDateSelection = function ($event) {
                 $event.preventDefault();
@@ -52,4 +84,5 @@
                 $scope.toIsOpen = false;
                 $scope.fromIsOpen = true;
+                $scope.curQuickSelection = $scope.quickSelectionList[0];
             };
 
@@ -59,4 +92,5 @@
                 $scope.fromIsOpen = false;
                 $scope.toIsOpen = true;
+                $scope.curQuickSelection = $scope.quickSelectionList[0];
             };
 
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs	(revision 12583)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/Configs/BundleConfig.cs	(revision 12584)
@@ -59,4 +59,6 @@
         // bootstrap
         "~/WebApp/libs/bootstrap/js/bootstrap.min.js",
+        // cryptojs
+        "~/WebApp/libs/cryptojs/aes.js",
         // angular js
         "~/WebApp/libs/angularjs/angular.min.js",
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12583)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12584)
@@ -146,4 +146,5 @@
     <Content Include="WebApp\libs\angularjs\angular-tablesort\tablesort.css" />
     <Content Include="WebApp\libs\angularjs\fittext\ng-FitText.js" />
+    <Content Include="WebApp\libs\cryptojs\aes.js" />
     <Content Include="WebApp\main.js" />
     <Content Include="WebApp\helper.js" />
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js	(revision 12583)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/helper.js	(revision 12584)
@@ -51,5 +51,4 @@
 };
 
-
 var CSharpDateToString = function (datetime) {
     var date = new Date(Date.parse(datetime));
@@ -63,2 +62,5 @@
 };
 
+function decryptString(s) {
+    return CryptoJS.AES.decrypt(s, "heuristiclab").toString(CryptoJS.enc.Utf8);
+}
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12583)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/about.cshtml	(revision 12584)
@@ -27,5 +27,6 @@
                 </div>
                 <div class="panel-body">
-                    <p><strong>Support and Inquiries</strong>: ​<a href="mailto:support@heuristiclab.com">support@heuristiclab.com</a></p>
+                    <p><strong>Support</strong>: <a href="App/RedirectUrl?url=http://groups.google.com/group/heuristiclab">HeuristicLab Google Group</a></p>
+                    <p><strong>Inquiries</strong>: ​<a class="cursor-pointer" ng-click="mailToSupport()">support(at)heuristiclab.com</a></p>
                     <p><strong>Heuristic and Evolutionary Algorithms Laboratory (HEAL)</strong>: <a href="App/RedirectUrl?url=http://heal.heuristiclab.com">​http://heal.heuristiclab.com</a></p>
                     <p><strong>HeuristicLab development site</strong>: <a href="App/RedirectUrl?url=http://dev.heuristiclab.com">http://dev.heuristiclab.com</a></p>
@@ -35,5 +36,5 @@
                         <span class="glyphicon glyphicon-phone-alt"></span> +43 50804 22030<br />
                         <span class="glyphicon glyphicon-print"></span> +43 50804 21599<br />
-                        <span class="glyphicon glyphicon-envelope"></span> <a href="mailto:stefan.wagner@heuristiclab.com">stefan.wagner@heuristiclab.com</a><br />
+                        <span class="glyphicon glyphicon-envelope"></span> <a class="cursor-pointer" ng-click="mailToStefanWagner()">stefan.wagner(at)heuristiclab.com</a><br />
                     </p>
                 </div>
Index: /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/aboutCtrl.js
===================================================================
--- /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/aboutCtrl.js	(revision 12583)
+++ /branches/HiveStatistics/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/about/aboutCtrl.js	(revision 12584)
@@ -1,4 +1,12 @@
 ﻿(function () {
     var module = appAboutPlugin.getAngularModule();
-    module.controller('app.about.ctrl', ['$scope', function ($scope) { }]);
+    module.controller('app.about.ctrl', ['$scope', '$log', function($scope, $log) {
+        $scope.mailToSupport = function () {
+            location.href = decryptString('U2FsdGVkX1/pCOITUzzsN36hx4sHh11FeVXkVyQ5b2KeZebFQ3KaNN8G9bKL3lU9');
+        };
+
+        $scope.mailToStefanWagner = function () {
+            location.href = decryptString('U2FsdGVkX1/Lzu8UFltiBl6VmBf9E0lmGna0+7o7cavCPwiCytBpSLsJoyhO9tl5hHCvJPVgsSndWdmGEuWrXw==');
+        };
+    }]);
 })();
